Package io.vertx.rxjava3.ext.web.handler.graphql.instrumentation

## Class MaybeAdapter

- java.lang.Object
- - graphql.execution.instrumentation.SimpleInstrumentation
  - - io.vertx.rxjava3.ext.web.handler.graphql.instrumentation.MaybeAdapter

- All Implemented Interfaces:
    `graphql.execution.instrumentation.Instrumentation`

      public class MaybeAdapter
      extends graphql.execution.instrumentation.SimpleInstrumentation

  Instrument data fetchers so that `Maybe` results are automatically converted to `CompletionStage`.

- - ### Field Summary

    - ### Fields inherited from class graphql.execution.instrumentation.SimpleInstrumentation

      `INSTANCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MaybeAdapter` | `create()` |
    `graphql.schema.DataFetcher<?>` | `instrumentDataFetcher​(graphql.schema.DataFetcher<?> dataFetcher, graphql.execution.instrumentation.parameters.InstrumentationFieldFetchParameters parameters, graphql.execution.instrumentation.InstrumentationState state)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface graphql.execution.instrumentation.Instrumentation

      `beginDeferredField, beginExecuteObject, beginExecuteOperation, beginExecution, beginExecutionStrategy, beginFieldCompletion, beginFieldExecution, beginFieldFetch, beginFieldFetching, beginFieldListCompletion, beginParse, beginSubscribedFieldEvent, beginValidation, createState, createStateAsync, instrumentDocumentAndVariables, instrumentExecutionContext, instrumentExecutionInput, instrumentExecutionResult, instrumentSchema`

- - ### Method Detail

    - #### instrumentDataFetcher

          public graphql.schema.DataFetcher<?> instrumentDataFetcher​(graphql.schema.DataFetcher<?> dataFetcher,
                                                                     graphql.execution.instrumentation.parameters.InstrumentationFieldFetchParameters parameters,
                                                                     graphql.execution.instrumentation.InstrumentationState state)

    - #### create

          public static MaybeAdapter create()